• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

SOAP mustUnderstand Attribute for SOAP 1.2

 
Sim Kim
Ranch Hand
Posts: 268
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Basic Profile says :
soap:mustUnderstand attribute MUST only use the lexical forms "0" and "1".

SOAP 1.2 allows "true" and "false".

What should be done in SCDJWS ? Should we stick to "0" or "1" ?
 
Peer Reynders
Bartender
Posts: 2968
6
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Remember this advice?

Originally posted by Chintan Rajyaguru:
No right answer here but here is what I would do:
If it's an interoperability question, use SOAP 1.1
If it's a SOAP question use SOAP 1.2
If in doubt use SOAP 1.1 because that's what is referenced most of the time.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic